#!/bin/bash

# shellcheck disable=SC1091

set -o errexit
set -o nounset
set -o pipefail
#set -o xtrace

. /opt/vmware/nsx/startup/run-java.sh

# load environment
load_env

if [[ "$*" = "/opt/vmware/nsx/startup/run-java.sh" ]]; then
    echo "** Starting ${JAVA_APP_NAME} setup **"
    /opt/vmware/nsx/startup/setup.sh
    echo "** ${JAVA_APP_NAME} setup finished! **"
fi

echo "$@"
exec "$@"
